Package org.opensaml.soap.wssecurity.impl

# Class UsernameUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObjectUnmarshaller
org.opensaml.soap.wssecurity.impl.AttributedStringUnmarshaller
org.opensaml.soap.wssecurity.impl.UsernameUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class UsernameUnmarshaller extends AttributedStringUnmarshaller
UsernameUnmarshaller.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`UsernameUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.soap.wssecurity.impl.AttributedStringUnmarshaller

`processAttribute, processElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processChildElement, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UsernameUnmarshaller

public UsernameUnmarshaller()